Package org.pgpainless.algorithm

# Class RevocationState

java.lang.Object
org.pgpainless.algorithm.RevocationState

All Implemented Interfaces:
  `Comparable<RevocationState>`

public final class RevocationState extends Object implements Comparable<RevocationState>

## Method Summary

Modifier and Type
Method
Description
`int`
`compareTo(RevocationState o)`
`boolean`
`equals(Object obj)`
`Date`
`getDate()`
`RevocationStateType`
`getType()`
`static RevocationState`
`hardRevoked()`
`int`
`hashCode()`
`boolean`
`isHardRevocation()`
`boolean`
`isNotRevoked()`
`boolean`
`isSoftRevocation()`
`static RevocationState`
`notRevoked()`
`static RevocationState`
`softRevoked(Date date)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Method Details

### notRevoked

public static RevocationState notRevoked()

### softRevoked

public static RevocationState softRevoked(@Nonnull Date date)

### hardRevoked

public static RevocationState hardRevoked()

### getType

public RevocationStateType getType()

### getDate

@Nonnull public Date getDate()

### isHardRevocation

public boolean isHardRevocation()

### isSoftRevocation

public boolean isSoftRevocation()

### isNotRevoked

public boolean isNotRevoked()

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### compareTo

public int compareTo(@Nonnull RevocationState o)

Specified by:
  `compareTo` in interface `Comparable<RevocationState>`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`